package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_car_record")
public class TaCarRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private String plateNumber;

    private String color;

    private String carModel;

    private String carImage;

    private Integer driverId;

    private String driverImage;

    private LocalDateTime createDate;

    /**
     * 客户姓名
     */
    @TableField(exist = false)
    private String customerName;

    /**
     * 手机号
     */
    @TableField(exist = false)
    private String phone;

}
