package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaFirstpage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "firstpage_id", type = IdType.AUTO)
    private Integer firstpageId;

    private String deviceId;

    private Boolean weatherShow;

    private Boolean noticeShow;

    private String contentType;

    private Integer status;

    /**
     * 前端获取指定首屏内容输入动态名称
     */
    @TableField(exist = false)
    private  String weatherName;

    @TableField(exist = false)
    private List<TaFirstpageContent> content;

    @TableField(exist = false)
    private List<TaFirstpageNotice> notice;
}