package com.huiju.welcome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.model.TaCarRecord;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
public interface ITaCarRecordService extends IService<TaCarRecord> {

    /**
     * 根据条件查询
     * @param page
     * @param plateNumber
     * @param recordDate
     * @param customerName
     * @param phone
     * @return
     */
    IPage<TaCarRecord> getPageList(IPage<TaCarRecord> page, String plateNumber, Date recordDate, String customerName, String phone);
}
