package com.huiju.welcome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaCustomer;
import com.huiju.welcome.model.TaMainUsherRecord;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
public interface ITaMainUsherRecordService extends IService<TaMainUsherRecord> {

    boolean updateNormal(List<TaMainUsherRecord> recs);

    boolean newRecordByFront(TaCustomer taCustomer);
    /**
     * 分页查询大厅记录
     * @param pg
     * @return
     */
    IPage<TaMainUsherRecord> taMainUsherRecordList(IPage<TaMainUsherRecord> pg,String phone,String platNumber,String personName,Integer appointment);

    /**
     * 查询客户列表
     * @return
     */
    ResponseBean customerPage(int pageNum, int pageSize, String customerName, String phone, String platNumber);
}
