package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaCarRecordMapper;
import com.huiju.welcome.model.TaCarRecord;
import com.huiju.welcome.service.ITaCarRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
@Service
public class TaCarRecordServiceImpl extends ServiceImpl<TaCarRecordMapper, TaCarRecord> implements ITaCarRecordService {

    @Autowired
    private TaCarRecordMapper taCarRecordMapper;

    @Override
    public IPage<TaCarRecord> getPageList(IPage<TaCarRecord> page, String plateNumber, Date recordDate, String customerName, String phone) {
        return taCarRecordMapper.getPageList(page, plateNumber, recordDate, customerName, phone);
    }
}
