package com.huiju.welcome.utils;

import org.apache.commons.codec.binary.Base64;
import org.springframework.util.DigestUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class Encrypt {
    public static String md5(String str, String ...salt) {
        byte[] secBytes = null;

        String plainText = str;
        if (salt.length > 0 && null != salt[0]) {
            plainText += salt[0];
        }

        return DigestUtils.md5DigestAsHex(plainText.getBytes());
    }

    public static String base64(String str) {
        String rtn = "";
        try {
            rtn = new String(Base64.encodeBase64(str.getBytes("UTF-8")));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }

        return rtn;
    }

    public static String urlEncode(String str) {
        String rtn = "";
        try {
            rtn = URLEncoder.encode(str, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return rtn;
    }
}
